Subject: Re: [bug#56872] [PATCH v2] gnu: mu: Update to 1.8.7.

From: Maxime Devos <[email-masked]>
Date: Tue, 2 Aug 2022 18:25:51 +0200

On 01-08-2022 15:41, muradm wrote:
> +             (substitute* '("lib/utils/mu-utils.cc"
> +                            "lib/tests/bench-indexer.cc")
> +               (("/bin/rm") (which "rm")))))

The lib/utils/mu-utils.cc + 'which' looks wrong when cross-compiling -- 
try using search-input-file on 'inputs' instead (which looks in 
native-inputs (which happens to be merged with inputs when compiling 
natively))).

(If it does not end up in the binary, then 'which' should be fine)

> [inputs]: Removed guile added coreutils (for /bin/rm command).
I'm not seeing coreutils in there.

Greetings,
Maxime